Nios® II Embedded Design Suite (EDS)
Support for Embedded Development Tools, Processors (SoCs and Nios® II processor), Embedded Development Suites (EDSs), Boot and Configuration, Operating Systems, C and C++
Announcements
Intel Support hours are Monday-Fridays, 8am-5pm PST, except Holidays. Thanks to our community members who provide support during our down time or before we get to your questions. We appreciate you!

Need Forum Guidance? Click here
Search our FPGA Knowledge Articles here.
12455 Discussions

eCos for Nios II 5.1 now available

Altera_Forum
Honored Contributor II
841 Views

I'm happy to report that we now have an eCos update compatible with Nios II 5.1. You can download it from the "Download ecos" forum.

0 Kudos
10 Replies
Altera_Forum
Honored Contributor II
143 Views

The link to the download page is here (http://forum.niosforum.com/forum/index.php?showtopic=3057). You will only see it if you are logged into the forum. 

 

If you are not already registered, sign up now (http://forum.niosforum.com/forum/index.php?act=reg&code=00). 

 

--Alan
Altera_Forum
Honored Contributor II
143 Views

 

--- Quote Start ---  

originally posted by jesse@Dec 20 2005, 09:44 PM 

i'm happy to report that we now have an ecos update compatible with nios ii 5.1. you can download it from the "download ecos" forum. 

<div align='right'><{post_snapback}> (index.php?act=findpost&pid=11682) 

--- quote end ---  

 

--- Quote End ---  

 

 

Hi Jesse, 

 

I recently installed the Quartus II 6.0 and NIOS II 6.0 packages. Can you tell me 

if this eCos installation supports the 6.0 versions? If so, great! If not, are there 

plans to modify the eCos package to support the 6.0 versions? 

 

Thanks, 

Rennie
Altera_Forum
Honored Contributor II
143 Views

 

--- Quote Start ---  

originally posted by rgardner@Jun 9 2006, 02:20 PM 

hi jesse, 

 

i recently installed the quartus ii 6.0 and nios ii 6.0 packages. can you tell me 

if this ecos installation supports the 6.0 versions? if so, great! if not, are there 

plans to modify the ecos package to support the 6.0 versions? 

 

thanks, 

rennie 

<div align='right'><{post_snapback}> (index.php?act=findpost&pid=16069) 

--- quote end ---  

 

--- Quote End ---  

 

 

Whoops! I just saw the reply in the thread "Installing eCOS for Nios II IDE 6.0". 

Sorry. It appears that the eCos installation does work for the 6.0 packages, 

which is great news! 

 

Thanks, 

Rennie
Altera_Forum
Honored Contributor II
143 Views

can't find the web page! why??

Altera_Forum
Honored Contributor II
143 Views

eCos for Nios II - could anyone say me where I could download it ? The link here does not work. 

 

Thanks 

Martin
Altera_Forum
Honored Contributor II
143 Views

Updated link please..... 

 

Thanks
Altera_Forum
Honored Contributor II
143 Views

Apparently these links all broke when the forums were migrated to Altera forums...

Altera_Forum
Honored Contributor II
143 Views

Where can I get nios2ecos51.exe today? 

Would you like to help me? 

 

Thanks!
Altera_Forum
Honored Contributor II
143 Views

It used to be on the ecosforge web site but this one seems to be down now. I still have an installed nios2ecos tree on our build server and I could archive it and send it to you if you want, but unless you are extremely familiar with eCos and low level Nios2 programming, I strongly urge you to try another real time operating system. There is almost no support for eCos on Nios 2, the port has never made it to the official eCos tree and it's probably better because the drivers are of very low quality and full of bugs. I had to rewrite almost everything to get it to work to an acceptable level. You will struggle like hell to set it up. 

 

If you don't have any other choice and must use eCos on Nios 2 you can get some (paid) support from ecoscentric (http://www.ecoscentric.com/ecos/ecospro.shtml) or zylin (http://opensource.zylin.com/niosecos.html).
Altera_Forum
Honored Contributor II
143 Views

Oh and I forgot. The nios2ecos port needs .ptf files from SOPC builder, so you are stuck with Quartus II 12 or lower.

Reply